<?php

// The URL of the image you want to proxy
$url = $_GET['url'];

// Open the remote image
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, $url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
curl_setopt($ch, CURLOPT_HEADER, 1);
curl_setopt($ch, CURLOPT_FOLLOWLOCATION, true);

$response = curl_exec($ch);

if($response === false) {
    echo 'Curl error: ' . curl_error($ch);
    curl_close($ch);
    exit;
}

// Split the response into headers and content
$header_size = curl_getinfo($ch, CURLINFO_HEADER_SIZE);
$headers = substr($response, 0, $header_size);
$data = substr($response, $header_size);

// Close the cURL handle
curl_close($ch);

// Send the headers to the browser
foreach (explode("\r\n", $headers) as $header) {
    header($header);
}

// Output the image data
echo $data;

?>
